Skip to content
CARP Docs
Ask AISystemLightDark

Recruitment service

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
POST
/api/recruitment-service

The request body should be a serialized RecruitmentServiceRequest (string). The response body will also be serialized (string). The request-response mappings are as follows:

  • AddParticipantByEmailAddress -> Participant
  • AddParticipantByUsername -> Participant
  • GetParticipant -> Participant
  • GetParticipants -> Participant[]
  • InviteNewParticipantGroup -> ParticipantGroupStatus
  • GetParticipantGroupStatusList -> ParticipantGroupStatus[]
  • StopParticipantGroup -> ParticipantGroupStatus
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

application/json
  1. body
studyId*
email*
apiVersion*
responseSerializer*

Response body

OK

*/*
  1. response
accountIdentity*AccountIdentity
id*
Example request
curl -X POST 'https://dev.carp.dk/api/recruitment-service' \  -H 'Content-Type: application/json' \  -d '{  "studyId": {},  "email": {    "address": "string"  },  "apiVersion": {    "major": 0,    "minor": 0  },  "responseSerializer": {    "descriptor": {      "annotations": [        {}      ],      "serialName": "string",      "elementsCount": 0,      "isInline": true,      "kind": null,      "isNullable": true    }  }}'
Example response
{  "accountIdentity": null,  "id": {    "stringRepresentation": "string"  }}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture